Subject: Re: Using test-lib.sh under GPLv3?

From: Jakub Narebski <[email-masked]>
Date: Tue, 16 Feb 2010 02:27:37 -0800 (PST)

Michal Sojka <[email-masked]> writes:

> I like the simple and powerful test suite used by Git and I would like
> to use something like that in Notmuch project (http://notmuchmail.org/).
> Notmuch is licenced under GPLv3 and we think that things will be simpler
> if everything in the repository is licenced the same. You are mentioned
> as a copyright holder in test-lib.sh and t0000-basic.sh so I'd like to
> ask you: Would you mind using parts of these files under GPLv3?

Have you thought about using TAP (Test Anything Protocol) format for
your testsuite?  Its page (http://testanything.org) has a TAP-producing
bash library: http://testanything.org/wiki/index.php/Tap-functions

-- 
Jakub Narebski
Poland
ShadeHawk on #git